Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QToolButton

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QToolButton class reference

### Public Functions

- QIcon iconSet ( bool on ) const `(obsolete)`
- void setIconSet ( const QIcon & set, bool on ) `(obsolete)`
- void setOffIconSet ( const QIcon & set ) `(obsolete)`
- void setOnIconSet ( const QIcon & set ) `(obsolete)`

## Member Function Documentation

### QIcon QToolButton::iconSet ( bool on ) const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Since Qt 3.0, QIcon contains both the On and Off icons.

For ease of porting, this function ignores the on parameter and returns the iconSet property. If you relied on the on parameter, you probably want to update your code to use the QIcon On/Off mechanism.

### void QToolButton::setIconSet ( const QIcon & set, bool on )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Since Qt 3.0, QIcon contains both the On and Off icons.

For ease of porting, this function ignores the on parameter and sets the iconSet property. If you relied on the on parameter, you probably want to update your code to use the QIcon On/Off mechanism.

See also iconSet and QIcon::State.

### void QToolButton::setOffIconSet ( const QIcon & set )

Use setIcon() instead.

### void QToolButton::setOnIconSet ( const QIcon & set )

Use setIcon() instead.